Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 1171232 - Review Request: nodejs-fs-ext - Extensions to core 'fs' module for Node.js
Summary: Review Request: nodejs-fs-ext - Extensions to core 'fs' module for Node.js
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Piotr Popieluch
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: nodejs-reviews 1171234
TreeView+ depends on / blocked
 
Reported: 2014-12-05 17:10 UTC by Parag Nemade
Modified: 2014-12-26 19:48 UTC (History)
2 users (show)

Fixed In Version: nodejs-fs-ext-0.4.2-2.el7
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2014-12-20 08:50:23 UTC
piotr1212: fedora-review+
gwync: fedora-cvs+


Attachments (Terms of Use)

Description Parag Nemade 2014-12-05 17:10:59 UTC
Spec URL: https://pnemade.fedorapeople.org/fedora-work/SPECS/nodejs-fs-ext.spec
SRPM URL: https://pnemade.fedorapeople.org/fedora-work/SRPMS/nodejs-fs-ext-0.4.1-1.fc21.src.rpm
Description: 
Extensions to core 'fs' module for Node.js

Fedora Account System Username: pnemade

Comment 2 Piotr Popieluch 2014-12-07 15:08:18 UTC
Test pass here on f21


When running fedora-review tool it gives me this rpmlint error:
nodejs-fs-ext.x86_64: E: non-standard-executable-perm /usr/lib/node_modules/fs-ext/build/fs-ext.node 0775L

When I run rpmlint myself it doesn't complain about that, any idea why??




Rpmlint
-------
Checking: nodejs-fs-ext-0.4.2-1.fc21.x86_64.rpm
          nodejs-fs-ext-0.4.2-1.fc21.src.rpm
nodejs-fs-ext.x86_64: W: spelling-error Summary(en_US) js -> dis, ks, j
nodejs-fs-ext.x86_64: W: spelling-error %description -l en_US js -> dis, ks, j
nodejs-fs-ext.x86_64: E: non-standard-executable-perm /usr/lib/node_modules/fs-ext/build/fs-ext.node 0775L
nodejs-fs-ext.x86_64: W: dangling-symlink /usr/lib/node_modules/fs-ext/node_modules/nan /usr/lib/node_modules/nan@^1
nodejs-fs-ext.src: W: spelling-error Summary(en_US) js -> dis, ks, j
nodejs-fs-ext.src: W: spelling-error %description -l en_US js -> dis, ks, j
2 packages and 0 specfiles checked; 1 errors, 5 warnings.




Rpmlint (installed packages)
----------------------------
# rpmlint nodejs-fs-ext
nodejs-fs-ext.x86_64: W: spelling-error Summary(en_US) js -> dis, ks, j
nodejs-fs-ext.x86_64: W: spelling-error %description -l en_US js -> dis, ks, j
nodejs-fs-ext.x86_64: E: non-standard-executable-perm /usr/lib/node_modules/fs-ext/build/fs-ext.node 0775L
nodejs-fs-ext.x86_64: W: dangling-symlink /usr/lib/node_modules/fs-ext/node_modules/nan /usr/lib/node_modules/nan@^1
1 packages and 0 specfiles checked; 1 errors, 3 warnings.
# echo 'rpmlint-done:'

Comment 3 Parag Nemade 2014-12-07 16:12:08 UTC
It happens that when you do packaging testing on your machine it works but we need to make sure it actually works in mock build that mean scratch build should succeed.

You are right tests are working fine. I disabled them based on failure happened on my copr repository. But as scratch build worked fine on koji, let's enable them.

About rpmlint error, I think we can ignore it here but good to report bug against fedora-review package.


Spec URL: https://pnemade.fedorapeople.org/fedora-work/SPECS/nodejs-fs-ext.spec
SRPM URL: https://pnemade.fedorapeople.org/fedora-work/SRPMS/nodejs-fs-ext-0.4.2-2.fc21.src.rpm

Comment 4 Piotr Popieluch 2014-12-07 16:59:03 UTC
APPROVED

Comment 5 Parag Nemade 2014-12-07 17:01:43 UTC
Piotr,
  You may want to set fedora-review+ flag not fedora-cvs+

Comment 6 Piotr Popieluch 2014-12-07 17:20:31 UTC
oops, fixed

Comment 7 Parag Nemade 2014-12-07 17:59:58 UTC
New Package SCM Request
=======================
Package Name: nodejs-fs-ext
Short Description: Extensions to core 'fs' module for Node.js
Upstream URL: https://github.com/baudehlo/node-fs-ext/
Owners: pnemade
Branches: f19 f20 f21 el6 epel7
InitialCC:

Comment 8 Gwyn Ciesla 2014-12-08 14:23:37 UTC
Git done (by process-git-requests).

Comment 9 Fedora Update System 2014-12-08 16:58:13 UTC
nodejs-fs-ext-0.4.2-2.fc21 has been submitted as an update for Fedora 21.
https://admin.fedoraproject.org/updates/nodejs-fs-ext-0.4.2-2.fc21

Comment 10 Fedora Update System 2014-12-08 17:27:51 UTC
nodejs-fs-ext-0.4.2-2.el7 has been submitted as an update for Fedora EPEL 7.
https://admin.fedoraproject.org/updates/nodejs-fs-ext-0.4.2-2.el7

Comment 11 Fedora Update System 2014-12-11 06:28:00 UTC
nodejs-fs-ext-0.4.2-2.el7 has been pushed to the Fedora EPEL 7 testing repository.

Comment 12 Fedora Update System 2014-12-20 08:50:23 UTC
nodejs-fs-ext-0.4.2-2.fc21 has been pushed to the Fedora 21 stable repository.

Comment 13 Fedora Update System 2014-12-26 19:48:40 UTC
nodejs-fs-ext-0.4.2-2.el7 has been pushed to the Fedora EPEL 7 stable repository.


Note You need to log in before you can comment on or make changes to this bug.